#if PLATFORM_ANDROID

#include "AppGuardSDKJNI.h"
#include "AppGuardSDKPrivatePCH.h"
#include "AppGuardUE4Manager.h"
#include <jni.h>



JNIEXPORT 
void 
JNICALL Java_com_inca_security_AppGuard_AppGuardClientUnrealBridge_onS2AuthTryCallback(JNIEnv* env, jobject obj, jint value, jstring data) {
    const char *nativeString = env->GetStringUTFChars(data, 0);
   
    // AppGuardUE4Manager::GetInstance().onS2AuthTryCallback(value, nativeString);
    FString dataString = UTF8_TO_TCHAR(nativeString);
    FAppGuardSDKModule::OnS2AuthCompleted.Broadcast(value, dataString);
   
    env->ReleaseStringUTFChars(data, nativeString);
}

JNIEXPORT 
void 
JNICALL Java_com_inca_security_AppGuard_AppGuardClientUnrealBridge_onViolationCallback(JNIEnv* env, jobject obj, jint value) {
    // AppGuardUE4Manager::GetInstance().onViolationCallback(value);
    FAppGuardSDKModule::OnDetected.Broadcast(value);
}

#endif // PLATFORM_ANDROID