// Copyright Epic Games, Inc. All Rights Reserved.

#include "AppGuardSDK.h"
#include "AppGuardSDKPrivatePCH.h"

#define LOCTEXT_NAMESPACE "FAppGuardSDKModule"

FAppGuardSDKModule::FOnS2AuthCompleted FAppGuardSDKModule::OnS2AuthCompleted;
FAppGuardSDKModule::FOnDetected FAppGuardSDKModule::OnDetected;


class AppGuardSDKModule : public FAppGuardSDKModule
{
	virtual void StartupModule() override;
    virtual void ShutdownModule() override;
};

IMPLEMENT_MODULE(AppGuardSDKModule, AppGuardSDK)

void AppGuardSDKModule::StartupModule()
{
	// This code will execute after your module is loaded into memory; the exact timing is specified in the .uplugin file per-module
}

void AppGuardSDKModule::ShutdownModule()
{
	// This function may be called during shutdown to clean up your module.  For modules that support dynamic reloading,
	// we call this function before unloading the module.
}

// #undef LOCTEXT_NAMESPACE
	
