#pragma once

#include "Runtime/Engine/Classes/Kismet/BlueprintFunctionLibrary.h"
#include "AppGuardSDKBlueprintLibrary.generated.h"

UCLASS()
class APPGUARDSDK_API UAppGuardSDKBlueprintLibrary : public UBlueprintFunctionLibrary
{
    GENERATED_UCLASS_BODY()

    UFUNCTION(BlueprintCallable, Category = "nProtect AppGuardSDK")
    static void Start();
    
    UFUNCTION(BlueprintCallable, Category = "nProtect AppGuardSDK")
    static void SetUserId(FString U1serId);

    UFUNCTION(BlueprintCallable, Category = "nProtect AppGuardSDK")
    static void SetUniqueClientId(FString UniqueClientId);
};
